#include "String.h"
#include "Rf12_433_Mhz_Lib.c"


sbit Rf12_Data_In at RC6_bit;
sbit Rf12_Data_Out at RC4_bit;
sbit Rf12_Clock at RC5_bit;
sbit Rf12_NSEL at RC7_bit;
sbit Rf12_NIRQ at RD4_bit;
sbit Rf12_Tx_Led at RD5_bit;
sbit Rf12_Rx_Led at RD6_bit;

sbit Rf12_Data_In_Direction at TRISC6_bit;
sbit Rf12_Data_Out_Direction at TRISC4_bit;
sbit Rf12_Clock_Direction at TRISC5_bit;
sbit Rf12_NSEL_Direction at TRISC7_bit;
sbit Rf12_NIRQ_Direction at TRISD4_bit;
sbit Rf12_Tx_Led_Direction at TRISD5_bit;
sbit Rf12_Rx_Led_Direction at TRISD6_bit;


sbit LCD_RS at RB0_bit;
sbit LCD_EN at RB2_bit;
sbit LCD_D7 at RB6_bit;
sbit LCD_D6 at RB5_bit;
sbit LCD_D5 at RB4_bit;
sbit LCD_D4 at RB3_bit;


sbit LCD_RS_Direction at TRISB0_bit;
sbit LCD_EN_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB6_bit;
sbit LCD_D6_Direction at TRISB5_bit;
sbit LCD_D5_Direction at TRISB4_bit;
sbit LCD_D4_Direction at TRISB3_bit;




void main()
{
Init_Rf12Rx();
Rf12_Rx_Led=0;
Lcd_Init();
Lcd_Cmd(_LCD_CURSOR_OFF);//turn off cursor
Lcd_Out(1,1,"Initialized");
delay_ms(5000);//Wait For 5 seconds
lcd_cmd(_LCD_CLEAR);// Clear Lcd

while(1)
{
  if(ReceivePacket()==1)//If Packet Is Available and received successfully
  {
    Lcd_Out(1,1,"Message Received");//Print msg on lcd
    Lcd_Out(2,1,ReceiveBuffer);//Print Internal Received Buffer On Lcd
    Rf12_Rx_Led=1;
    delay_ms(1000);
    Rf12_Rx_Led=0;
    delay_ms(1000);
     Lcd_Cmd(_LCD_CLEAR);//clear display
  }
}

}