#line 1 "C:/Documents and Settings/Nart Schinackow/Desktop/PIC16F77A Receiver/Source.c"
#line 1 "c:/documents and settings/nart schinackow/desktop/pic16f77a receiver/string.h"
#line 18 "c:/documents and settings/nart schinackow/desktop/pic16f77a receiver/string.h"
unsigned char __Byte__Buffer__[9];
unsigned char __Word__Buffer__[17];
char __BUFFER__[6];

void StringCopy(char* To, char* From);
void StringConcat(char* String, char* Add);
unsigned int StringLength(char* String);
char* ConvertInt2String(unsigned int Value);
unsigned int ConvertString2Int(char* String);
unsigned char* ConvertByte2BString(unsigned char Byte);
unsigned char* ConvertWord2BString(unsigned int Word);
unsigned char ConvertBStringToByte(char* ByteString);
unsigned int ConvertBStringToWord(char* WordString);
char* ConvertByte2String(unsigned char Value);
unsigned char ConvertString2Byte(char* String);
unsigned short StringCompare(char* StringA, char* StringB);
void StringReplace(char* x, char* y);
unsigned short StringNCompare(char* Str1, char* Str2, unsigned int Number);
void StringNCopy(char* To, char* From, unsigned int Number);
void StringToUpper(char* Str);
void StringToLower(char* Str);
unsigned char IsCharUpper(char c);
unsigned char IsCharLower(char c);
#line 1 "c:/documents and settings/nart schinackow/desktop/pic16f77a receiver/utility_strings.c"
#line 16 "c:/documents and settings/nart schinackow/desktop/pic16f77a receiver/utility_strings.c"
void StringCopy(char* To, char* From)
{
 while(*To++=*From++);
}

void StringConcat(char* String, char* Add)
{
 while(*++String);
 while(*String++=*Add++);
}

unsigned int StringLength(char* String)
{
 unsigned int __c__;
 for(__c__=0;*String;String++)__c__++;
 return __c__;
}
#line 47 "c:/documents and settings/nart schinackow/desktop/pic16f77a receiver/utility_strings.c"
char* ConvertInt2String(unsigned int Value)
{
 unsigned int __t__;
 char* __p__;

 if(!Value)
 {
 __BUFFER__[0]='0';
 __BUFFER__[1]='\0';
 }
 else
 {
 __t__=Value;
 for(__p__=__BUFFER__;__t__>0;__t__/=10)__p__++;
 for(*__p__='\0';Value>0;Value/=10)*--__p__=(Value%10)+48;
 }
 return __p__=__BUFFER__;
}



unsigned int ConvertString2Int(char* String)
{
 unsigned int __c__;
 unsigned int __i__;
 unsigned int __s__;
 unsigned int __m__;
 for(__c__=0;*String;String++)__c__++;__s__=0;__m__=1;
 for(__i__=0;__i__<__c__;__i__++){__s__+=(*--String-48)*__m__;__m__*=10;}
 return __s__;
}


unsigned char* ConvertByte2BString(unsigned char Byte)
{
 unsigned char i;
 __Byte__Buffer__[8]='\0';
 for(i=7;i>0;i--)
 {
 __Byte__Buffer__[i]=(Byte%2)+48;
 Byte/=2;
 }
 __Byte__Buffer__[i]=(Byte%2)+48;
 return __Byte__Buffer__;
}

unsigned char* ConvertWord2BString(unsigned int Word)
{
 unsigned char i;
 __Word__Buffer__[16]='\0';
 for(i=15;i>0;i--)
 {
 __Word__Buffer__[i]=(Word%2)+48;
 Word/=2;
 }
 __Word__Buffer__[i]=(Word%2)+48;
 return __Word__Buffer__;
}


unsigned char ConvertBStringToByte(char* ByteString)
{
 unsigned char Offset,i,sum;
 for(i=7,Offset=1,sum=0;i>0;i--)
 {
 sum+=(ByteString[i]-48)*Offset;
 Offset*=2;
 }
 sum+=(ByteString[i]-48)*128;
 return sum;
}

unsigned int ConvertBStringToWord(char* WordString)
{
 unsigned char i;
 unsigned int sum,Offset;
 for(i=15,Offset=1,sum=0;i>0;i--)
 {
 sum+=(WordString[i]-48)*Offset;
 Offset*=2;
 }
 sum+=(WordString[i]-48)*32768;
 return sum;
}





char* ConvertByte2String(unsigned char Value)
{
 unsigned char __t__;
 char* __p__;

 if(!Value)
 {
 __BUFFER__[0]='0';
 __BUFFER__[1]='\0';
 }
 else
 {
 __t__=Value;
 for(__p__=__BUFFER__;__t__>0;__t__/=10)__p__++;
 for(*__p__='\0';Value>0;Value/=10)*--__p__=(Value%10)+48;
 }
 return __p__=__BUFFER__;
}



unsigned char ConvertString2Byte(char* String)
{
 unsigned char __c__;
 unsigned char __i__;
 unsigned char __s__;
 unsigned char __m__;
 for(__c__=0;*String;String++)__c__++;__s__=0;__m__=1;
 for(__i__=0;__i__<__c__;__i__++){__s__+=(*--String-48)*__m__;__m__*=10;}
 return __s__;
}




unsigned short StringCompare(char* StringA, char* StringB)
{
 unsigned int __l1__;
 unsigned int __l2__;
 __l1__=StringLength(StringA);
 __l2__=StringLength(StringB);
 if(__l1__!=__l2__)return 0;
 for(__l1__=0;*StringB;StringB++)if(*StringA++!=*StringB)return 0;
 return 1;
}


void StringReplace(char* x, char* y)
{
 while(*y)*x++=*y++;
}

unsigned short StringNCompare(char* Str1, char* Str2, unsigned int Number)
{
 while(Number>0)
 {
 if(*Str1++!=*Str2++)return 0;
 Number--;
 }
 return 1;
}


void StringNCopy(char* To, char* From, unsigned int Number)
{
 while(Number--!=0)
 *To++=*From++;
}

void StringToUpper(char* Str)
{
 while(*Str)
 {
 if(*Str>='a'&&*Str<='z')
 *Str-=' ';
 ++Str;
 }
}

void StringToLower(char* Str)
{
 while(*Str)
 {
 if(*Str>='A'&&*Str<='Z')
 *Str+=' ';
 ++Str;
 }
}

unsigned char IsCharUpper(char c)
{
 return (unsigned char)(c>='A'&&c<='Z');
}

unsigned char IsCharLower(char c)
{
 return (unsigned char)(c>='a'&&c<='z');
}
#line 1 "c:/documents and settings/nart schinackow/desktop/pic16f77a receiver/rf12_433_mhz_lib.c"
#line 30 "c:/documents and settings/nart schinackow/desktop/pic16f77a receiver/rf12_433_mhz_lib.c"
extern sfr sbit Rf12_Data_In;
extern sfr sbit Rf12_Data_Out;
extern sfr sbit Rf12_Clock;
extern sfr sbit Rf12_NSEL;
extern sfr sbit Rf12_NIRQ;
extern sfr sbit Rf12_Tx_Led;
extern sfr sbit Rf12_Rx_Led;

extern sfr sbit Rf12_Data_In_Direction;
extern sfr sbit Rf12_Data_Out_Direction;
extern sfr sbit Rf12_Clock_Direction;
extern sfr sbit Rf12_NSEL_Direction;
extern sfr sbit Rf12_NIRQ_Direction;
extern sfr sbit Rf12_Tx_Led_Direction;
extern sfr sbit Rf12_Rx_Led_Direction;

char ReceiveBuffer[22];

void BlinkTxRxLeds(unsigned char NumberOfBlinks, unsigned int BlinkMs)
{
unsigned char i;
for(i=1;i<=NumberOfBlinks;i++)
{
Rf12_Tx_Led=1;
Rf12_Rx_Led=0;
VDelay_ms(BlinkMs);
Rf12_Tx_Led=0;
Rf12_Rx_Led=1;
VDelay_ms(BlinkMs);
}
Rf12_Tx_Led=0;
Rf12_Rx_Led=0;
}


void Write_One()
{
Rf12_Data_In=1;
Rf12_Clock=0;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
Rf12_Clock=1;
asm nop;
}

void Write_Zero()
{
Rf12_Data_In=0;
Rf12_Clock=0;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
asm nop;
Rf12_Clock=1;
asm nop;
}


void Write_Command(unsigned int CMD)
{
unsigned char n;
n=16;
Rf12_Clock=0;
Rf12_NSEL=0;
while(n--)
{
if(CMD&0x8000)Write_One();
else Write_Zero();
CMD=CMD<<1;
}
Rf12_Clock=0;
Rf12_NSEL=1;
}

void Init_Rf12Tx()
{
Rf12_NSEL_Direction=0;
Rf12_Data_In_Direction=0;
Rf12_Data_Out_Direction=1;
Rf12_Clock_Direction=0;
Rf12_NIRQ_Direction=1;
Rf12_Tx_Led_Direction=0;
Rf12_Rx_Led_Direction=0;


Rf12_NSEL=1;
Rf12_Data_In=1;
Rf12_Clock=0;
Write_Command(0x80D8);
Write_Command(0x8208);
Write_Command(0xA640);
Write_Command(0xC647);
Write_Command(0x94A0);
Write_Command(0xC2AC);
Write_Command(0xCA80);
Write_Command(0xCA83);
Write_Command(0xC49B);
Write_Command(0x9850);
Write_Command(0xE000);
Write_Command(0xC80E);
Write_Command(0xC000);
}

void Init_Rf12Rx()
{
Rf12_NSEL_Direction=0;
Rf12_Data_In_Direction=0;
Rf12_Data_Out_Direction=1;
Rf12_Clock_Direction=0;
Rf12_NIRQ_Direction=1;
Rf12_Tx_Led_Direction=0;
Rf12_Rx_Led_Direction=0;


Rf12_NSEL=1;
Rf12_Data_In=1;
Rf12_Clock=0;
Rf12_Data_Out=0;

Write_Command(0x80D8);
Write_Command(0x82D8);
Write_Command(0xA640);
Write_Command(0xC647);
Write_Command(0x94A0);
Write_Command(0xC2AC);
Write_Command(0xCA80);
Write_Command(0xCA83);
Write_Command(0xC49B);
Write_Command(0x9850);
Write_Command(0xE000);
Write_Command(0xC800);
Write_Command(0xC000);
}

unsigned char Rf12_ReceiveByte()
{
unsigned char i,result;
Rf12_Clock=0;
Rf12_Data_In=0;
Rf12_NSEL=0;
for(i=0;i<16;i++)
{Rf12_Clock=1;
asm nop;
asm nop;
Rf12_Clock=0;
asm nop;
asm nop;}
result=0;
for(i=0;i<8;i++)
{
result=result<<1;
if(Rf12_Data_Out)result|=1;
Rf12_Clock=1;
asm nop;
asm nop;
Rf12_Clock=0;
asm nop;
asm nop;
}
Rf12_NSEL=1;
return result;
}

void Rf12_SendByte(unsigned char DATA)
{
unsigned char RGIT;
unsigned int temp;
RGIT=0;
temp=0xB800;
temp|=DATA;
while(1)
{
Rf12_Clock=0;
Rf12_NSEL=0;
Rf12_Data_In=0;
Rf12_Clock=1;
if(Rf12_Data_Out)RGIT=1;
else RGIT=0;
Rf12_Clock=0;
Rf12_Data_In=1;
Rf12_NSEL=1;
if(RGIT){RGIT=0;Write_Command(temp);break;}
}
}

unsigned char ReceivePacket()
{
unsigned int Crc3;
unsigned int CrcSum;
unsigned char count;
unsigned char sum;
count=0;
CrcSum=0;
Crc3=0;
while(1)
{
while(!Rf12_NIRQ)
{
ReceiveBuffer[count++]=Rf12_ReceiveByte();
if(count==21){
Write_Command(0xCA80);Write_Command(0xCA83);sum=0;Crc3=Crc3|ReceiveBuffer[19];Crc3=(Crc3<<8)|ReceiveBuffer[20];
sum=ReceiveBuffer[0]+ReceiveBuffer[1];
for(count=0;count<16;count++)CrcSum+=ReceiveBuffer[count+2];
if(sum==ReceiveBuffer[18]&&CrcSum==Crc3){StringNCopy(ReceiveBuffer,ReceiveBuffer+2,16);ReceiveBuffer[16]='\0';return 1;}
else return 0;
}
}
}
}

unsigned char ReceiveTimedPacket(unsigned int TimeOut)
{
unsigned int T;
unsigned int Crc3;
unsigned int CrcSum;
unsigned char count;
unsigned char sum;
count=0;
CrcSum=0;
Crc3=0;
T=0;
while(1)
{
while(!Rf12_NIRQ)
{
ReceiveBuffer[count++]=Rf12_ReceiveByte();
if(count==21){
Write_Command(0xCA80);Write_Command(0xCA83);sum=0;Crc3=Crc3|ReceiveBuffer[19];Crc3=(Crc3<<8)|ReceiveBuffer[20];
sum=ReceiveBuffer[0]+ReceiveBuffer[1];
for(count=0;count<16;count++)CrcSum+=ReceiveBuffer[count+2];
if(sum==ReceiveBuffer[18]&&CrcSum==Crc3){StringNCopy(ReceiveBuffer,ReceiveBuffer+2,16);ReceiveBuffer[16]='\0';return 1;}
else return 0;
}
}
++T;
if(T==TimeOut)return 2;
}
}

void SendPacket(char* DataBytes)
{
unsigned char i;
unsigned int crc3;
unsigned char crc3H;
unsigned char crc3L;
crc3=0;
for(i=0;i<16;i++)
crc3+=DataBytes[i];
crc3L=crc3&0x00ff;
crc3H=(crc3>>8)&0x00ff;

Write_Command(0x8228);
delay_us(5);
Write_Command(0x8238);
asm nop;
asm nop;


Rf12_SendByte(0xAA);
Rf12_SendByte(0xAA);
Rf12_SendByte(0xAA);
Rf12_SendByte(0x2D);
Rf12_SendByte(0xD4);



Rf12_SendByte(0x7A);
Rf12_SendByte(0x7A);



Rf12_SendByte(DataBytes[0]);
Rf12_SendByte(DataBytes[1]);
Rf12_SendByte(DataBytes[2]);
Rf12_SendByte(DataBytes[3]);
Rf12_SendByte(DataBytes[4]);
Rf12_SendByte(DataBytes[5]);
Rf12_SendByte(DataBytes[6]);
Rf12_SendByte(DataBytes[7]);
Rf12_SendByte(DataBytes[8]);
Rf12_SendByte(DataBytes[9]);
Rf12_SendByte(DataBytes[10]);
Rf12_SendByte(DataBytes[11]);
Rf12_SendByte(DataBytes[12]);
Rf12_SendByte(DataBytes[13]);
Rf12_SendByte(DataBytes[14]);
Rf12_SendByte(DataBytes[15]);



Rf12_SendByte(0xF4);



Rf12_SendByte(crc3H);
Rf12_SendByte(crc3L);



Rf12_SendByte(0xAA);
Rf12_SendByte(0xFF);

Write_Command(0x8208);
Write_Command(0x8200);
}
#line 5 "C:/Documents and Settings/Nart Schinackow/Desktop/PIC16F77A Receiver/Source.c"
sbit Rf12_Data_In at RC6_bit;
sbit Rf12_Data_Out at RC4_bit;
sbit Rf12_Clock at RC5_bit;
sbit Rf12_NSEL at RC7_bit;
sbit Rf12_NIRQ at RD4_bit;
sbit Rf12_Tx_Led at RD5_bit;
sbit Rf12_Rx_Led at RD6_bit;

sbit Rf12_Data_In_Direction at TRISC6_bit;
sbit Rf12_Data_Out_Direction at TRISC4_bit;
sbit Rf12_Clock_Direction at TRISC5_bit;
sbit Rf12_NSEL_Direction at TRISC7_bit;
sbit Rf12_NIRQ_Direction at TRISD4_bit;
sbit Rf12_Tx_Led_Direction at TRISD5_bit;
sbit Rf12_Rx_Led_Direction at TRISD6_bit;


sbit LCD_RS at RB0_bit;
sbit LCD_EN at RB2_bit;
sbit LCD_D7 at RB6_bit;
sbit LCD_D6 at RB5_bit;
sbit LCD_D5 at RB4_bit;
sbit LCD_D4 at RB3_bit;


sbit LCD_RS_Direction at TRISB0_bit;
sbit LCD_EN_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB6_bit;
sbit LCD_D6_Direction at TRISB5_bit;
sbit LCD_D5_Direction at TRISB4_bit;
sbit LCD_D4_Direction at TRISB3_bit;




void main()
{
Init_Rf12Rx();
Rf12_Rx_Led=0;
Lcd_Init();
Lcd_Cmd(_LCD_CURSOR_OFF);
Lcd_Out(1,1,"Initialized");
delay_ms(5000);
lcd_cmd(_LCD_CLEAR);

while(1)
{
 if(ReceivePacket()==1)
 {
 Lcd_Out(1,1,"Message Received");
 Lcd_Out(2,1,ReceiveBuffer);
 Rf12_Rx_Led=1;
 delay_ms(1000);
 Rf12_Rx_Led=0;
 delay_ms(1000);
 Lcd_Cmd(_LCD_CLEAR);
 }
}

}
