#include "String.h" //must be included Found at libstock in my codes
#include "Rf12_433_Mhz_Lib.c"


sbit Rf12_Data_In at RC2_bit;
sbit Rf12_Data_Out at RC4_bit;
sbit Rf12_Clock at RC3_bit;
sbit Rf12_NSEL at RC1_bit;
sbit Rf12_NIRQ at RC0_bit;
sbit Rf12_Tx_Led at RA2_bit;
sbit Rf12_Rx_Led at RA1_bit;

sbit Rf12_Data_In_Direction at TRISC2_bit;
sbit Rf12_Data_Out_Direction at TRISC4_bit;
sbit Rf12_Clock_Direction at TRISC3_bit;
sbit Rf12_NSEL_Direction at TRISC1_bit;
sbit Rf12_NIRQ_Direction at TRISC0_bit;
sbit Rf12_Tx_Led_Direction at TRISA2_bit;
sbit Rf12_Rx_Led_Direction at TRISA1_bit;







void main()
{
ADCON1=0x0E;
PORTB=0x00;
PORTA=0x00;
PORTC=0x00;
TRISC=0x80;
TRISA=0x01;
TRISB=0x00;
//UART1_Init(9600) //Debug
Init_Rf12Tx();// Initialize rf12 as transmitter
BlinkTxRxLeds(10,50);// blink leds for 10 times 50 ms each

while(1)
{
  SendPacket("0123456789ABCDEF");// send 16bytes of data to receiver
  delay_ms(500);// wait for a while
}


}